Get an instrument by ID
GET
/v3/instruments/{instruments_id}
const url = 'https://example.com/v3/instruments/1';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v3/instruments/1 \ --header 'X-API-Key: <X-API-Key>'Provides a instrument by instrument ID
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” instruments_id
required
Instruments Id
Limit the results to a specific instruments id
integer
Limit the results to a specific instruments id
Responses
Section titled “ Responses ”Successful Response
Media type application/json
InstrumentsResponse
object
meta
results
required
Results
Array<object>
Instrumentobject
id
required
Id
integer
name
required
Name
string
isMonitor
required
Ismonitor
boolean
manufacturer
required
ManufacturerBase
object
id
required
Id
integer
name
required
Name
string
Example
{ "meta": { "name": "openaq-api", "website": "/", "page": 1, "limit": 100 }}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}